Package Details: octoprint 1.4.1-1

Git Clone URL: https://aur.archlinux.org/octoprint.git (read-only, click to copy)
Package Base: octoprint
Description: Responsive web interface for controlling a 3D printer (RepRap, Ultimaker, ...)
Upstream URL: http://octoprint.org/
Licenses: AGPL3
Conflicts: octoprint-venv
Provides: octoprint
Submitter: pa314159
Maintainer: pa314159
Last Packager: pa314159
Votes: 7
Popularity: 0.102098
First Submitted: 2018-06-17 14:12
Last Updated: 2020-09-21 09:38

Dependencies (29)

Required by (0)

Sources (5)

Pinned Comments

pa314159 commented on 2018-10-12 10:19

Building the OctoPrint releases always had issues with the checksum of the archives at

<https://github.com/foosel/OctoPrint/releases>

Not sure if it was Gina Häußge (the author) who uses to mess with the tags or if it's a Github issue (which I doubt), but I need to skip the integrity checks of the source archive.

The source is now the GIT location at

git+<https://github.com/foosel/OctoPrint.git>

The preparation step takes care to checkout the desired tag.

Latest Comments

1 2 Next › Last »

OJFord commented on 2020-10-09 13:51

Octoprint v1.4.0 itself (not necessarily plugins) supports python v3.7 - so I don't think there's any reason to need python2 dependencies here?

hak8or commented on 2020-06-26 20:53

Here is a full list of packages which are missing from the AUR as of this comment.

➜ yay -S octoprint
:: There are 3 providers available for octoprint:
:: Repository AUR
    1) octoprint 2) octoprint-devel-git 3) octoprint-venv

Enter a number (default=1):
:: There are 2 providers available for python2-sarge:
:: Repository AUR
    1) python2-sarge 2) python2-sarge-git

Enter a number (default=1):
 -> Could not find all required packages:
    python2-blinker (Wanted by: octoprint)
    python2-itsdangerous (Wanted by: octoprint)
    python2-argh (Wanted by: octoprint)
    python2-backports.ssl_match_hostname (Wanted by: octoprint)

forge commented on 2020-04-09 21:27

Since Octoprint 1.4.0 and up now supports Python2 and 3 equally, we should probably make plans to switch. I know plugins are a mixed bag, but the Python2 EOL is behind us.

blalor commented on 2020-03-17 01:46

python2-argh got dropped.

hashworks commented on 2020-01-29 21:34

python2-frozendict and python2-speaklater got dropped.

hashworks commented on 2019-12-31 12:52

python2-pkginfo got dropped as well.

valinwolf commented on 2019-11-27 08:23

python2-certifi is missing from AUR and official repos

pa314159 commented on 2019-09-26 19:59

@Psych0d0g, it's done, remember to vote for this package :)

Psych0d0g commented on 2019-09-26 16:40

could you add arch= aarch64 for arm64 based images or change the arch to all since its arch independent python code anyways?

garfi commented on 2019-01-13 08:09

update?

janv. 13 09:08:49 lupus octoprint-serve[26665]: pkg_resources.DistributionNotFound: The 'wrapt<1.11,>=1.10.11' distribution was not found and is required by OctoPrint janv. 13 09:08:49 lupus systemd[1]: octoprint.service: Main process exited, code=exited, status=1/FAILURE